# Generated by Django 2.2.2 on 2019-06-05 01:40

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Turma',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=30)),
                ('data_criacao', models.DateTimeField(blank=True, default=datetime.datetime.now)),
            ],
        ),
        migrations.CreateModel(
            name='Professor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=50)),
                ('disciplina', models.CharField(max_length=30)),
                ('endereço', models.CharField(default='0', max_length=50)),
                ('telefone', models.CharField(default='0', max_length=30)),
                ('turma', models.ManyToManyField(to='app.Turma')),
            ],
        ),
        migrations.CreateModel(
            name='Aluno',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=50)),
                ('matrícula', models.CharField(default='0', max_length=50)),
                ('nota', models.CharField(default='0', max_length=50)),
                ('faltas', models.CharField(default='0', max_length=50)),
                ('nascimento', models.DateTimeField(blank=True, default=datetime.datetime.now)),
                ('turma', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Turma')),
            ],
        ),
    ]
